## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class AccessibleTableEditorImpl

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.tableviewer.AccessibleTableEditorImpl

    public abstract class AccessibleTableEditorImpl

extends java.lang.Object

Internal accessible table viewer implementation.

Author:
  lihuang

Method Summary
`void` `applyEditorValue()` Deactivates the currently active cell editor.
`void` `cancelEditing()` Cancels the active cell editor, without saving the value back to the domain model.
`void` `editElement(java.lang.Object element, int column)` Start editing the given element.
`org.eclipse.jface.viewers.CellEditor[]` `getCellEditors()` Return the array of CellEditors used in the viewer
`org.eclipse.jface.viewers.ICellModifier` `getCellModifier()` Get the cell modifier
`java.lang.Object[]` `getColumnProperties()` Return the properties for the column
`org.eclipse.jface.viewers.StructuredViewer` `getViewer()` Returns this `TableViewerImpl` viewer
`boolean` `isCellEditorActive()` Return whether there is an active cell editor.
`void` `setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)` Set the cell editors
`void` `setCellModifier(org.eclipse.jface.viewers.ICellModifier modifier)` Set the cell modifier
`void` `setColumnProperties(java.lang.String[] columnProperties)` Set the column properties

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getViewer

    public org.eclipse.jface.viewers.StructuredViewer getViewer()

  Returns this `TableViewerImpl` viewer

  Returns:
    the viewer

### applyEditorValue

    public void applyEditorValue()

  Deactivates the currently active cell editor.

### cancelEditing

    public void cancelEditing()

  Cancels the active cell editor, without saving the value back to the domain model.

### editElement

    public void editElement(java.lang.Object element,
                            int column)

  Start editing the given element.

  Parameters:
    `element` -
    `column` -

### getCellEditors

    public org.eclipse.jface.viewers.CellEditor[] getCellEditors()

  Return the array of CellEditors used in the viewer

  Returns:
    the cell editors

### getCellModifier

    public org.eclipse.jface.viewers.ICellModifier getCellModifier()

  Get the cell modifier

  Returns:
    the cell modifier

### getColumnProperties

    public java.lang.Object[] getColumnProperties()

  Return the properties for the column

  Returns:
    the array of column properties

### isCellEditorActive

    public boolean isCellEditorActive()

  Return whether there is an active cell editor.

  Returns:
    `true` if there is an active cell editor; otherwise `false` is returned.

### setCellEditors

    public void setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)

  Set the cell editors

  Parameters:
    `editors` -

### setCellModifier

    public void setCellModifier(org.eclipse.jface.viewers.ICellModifier modifier)

  Set the cell modifier

  Parameters:
    `modifier` -

### setColumnProperties

    public void setColumnProperties(java.lang.String[] columnProperties)

  Set the column properties

  Parameters:
    `columnProperties` -